Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.security
Class JBossPortletSecurityService

    java.lang.Object
      org.jboss.portal.portlet.impl.security.JBossPortletSecurityService

All Implemented Interfaces:
  PortletSecurityService, AuthorizationDomain, DomainConfigurator, PermissionFactory, PermissionRepository

    public class JBossPortletSecurityService

extends java.lang.Object
implements PortletSecurityService, AuthorizationDomain, DomainConfigurator, PermissionRepository, PermissionFactory

Service that configures security for portlets.

Since:
  Mar 17, 2006
Version:
  $Revision: 8784 $
Author:
  Anil Saldhana

Field Summary
`protected JBossAuthorizationDomainRegistry` | `authorizationDomainRegistry` .
`protected PortalAuthorizationManagerFactory` | `portalAuthorizationManagerFactory` .
`protected EDU.oswego.cs.dl.util.concurrent.ConcurrentReaderHashMap` | `securityConstraintsMap` .

Constructor Summary
`JBossPortletSecurityService()`

Method Summary
`void` | `create()`
`PortalPermission` | `createPermission(java.lang.String uri, java.util.Collection actions)`
`PortalPermission` | `createPermission(java.lang.String uri, java.lang.String action)`
`PortalPermission` | `createPermissionContainer(PortalPermissionCollection collection)`
`void` | `destroy()`
`AuthorizationDomain` | `getAuthorizationDomain()`
`JBossAuthorizationDomainRegistry` | `getAuthorizationDomainRegistry()`
`DomainConfigurator` | `getConfigurator()` The domain configurator.
`PortalPermission` | `getPermission(java.lang.String roleName, java.lang.String uri)` Load a permission from the repository.
`PermissionFactory` | `getPermissionFactory()` The permission repository.
`PermissionRepository` | `getPermissionRepository()` The permission factory.
`PortalAuthorizationManagerFactory` | `getPortalAuthorizationManagerFactory()`
`java.util.Set` | `getSecurityBindings(java.lang.String uri)` Return the set of constraints for the given uri.
`java.lang.String` | `getType()` The domain type.
`void` | `removeSecurityBindings(java.lang.String uri)` Remove the contstraints for the provided uri
`void` | `setAuthorizationDomainRegistry(JBossAuthorizationDomainRegistry authorizationDomainRegistry)`
`void` | `setPortalAuthorizationManagerFactory(PortalAuthorizationManagerFactory portalAuthorizationManagerFactory)`
`void` | `setSecurityBindings(java.lang.String uri, java.util.Set securityBindings)` Add the provided constraints to this policy configuration
`void` | `start()`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### securityConstraintsMap

    protected EDU.oswego.cs.dl.util.concurrent.ConcurrentReaderHashMap securityConstraintsMap

  .

### portalAuthorizationManagerFactory

    protected PortalAuthorizationManagerFactory portalAuthorizationManagerFactory

  .

### authorizationDomainRegistry

    protected JBossAuthorizationDomainRegistry authorizationDomainRegistry

  .

Constructor Detail

### JBossPortletSecurityService

    public JBossPortletSecurityService()

Method Detail

### getAuthorizationDomain

    public AuthorizationDomain getAuthorizationDomain()

  Specified by:
    `getAuthorizationDomain` in interface `PortletSecurityService`

### getType

    public java.lang.String getType()

  Description copied from interface: `AuthorizationDomain`
  The domain type.

  Specified by:
    `getType` in interface `AuthorizationDomain`

### getConfigurator

    public DomainConfigurator getConfigurator()

  Description copied from interface: `AuthorizationDomain`
  The domain configurator.

  Specified by:
    `getConfigurator` in interface `AuthorizationDomain`

### getPermissionRepository

    public PermissionRepository getPermissionRepository()

  Description copied from interface: `AuthorizationDomain`
  The permission factory.

  Specified by:
    `getPermissionRepository` in interface `AuthorizationDomain`

### getPermissionFactory

    public PermissionFactory getPermissionFactory()

  Description copied from interface: `AuthorizationDomain`
  The permission repository.

  Specified by:
    `getPermissionFactory` in interface `AuthorizationDomain`

### getSecurityBindings

    public java.util.Set getSecurityBindings(java.lang.String uri)

  Description copied from interface: `DomainConfigurator`
  Return the set of constraints for the given uri.

  Specified by:
    `getSecurityBindings` in interface `DomainConfigurator`
  Returns:
    a set of SecurityConstraint containing the roles and actions allowed for the resource

### setSecurityBindings

    public void setSecurityBindings(java.lang.String uri,
                                    java.util.Set securityBindings)
                             throws SecurityConfigurationException

  Description copied from interface: `DomainConfigurator`
  Add the provided constraints to this policy configuration

  Specified by:
    `setSecurityBindings` in interface `DomainConfigurator`
  Throws:
    `SecurityConfigurationException`

### removeSecurityBindings

    public void removeSecurityBindings(java.lang.String uri)
                                throws SecurityConfigurationException

  Description copied from interface: `DomainConfigurator`
  Remove the contstraints for the provided uri

  Specified by:
    `removeSecurityBindings` in interface `DomainConfigurator`
  Parameters:
    `uri` - the identifier of the secured resource
  Throws:
    `SecurityConfigurationException`

### getPermission

    public PortalPermission getPermission(java.lang.String roleName,
                                          java.lang.String uri)
                                   throws PortalSecurityException

  Description copied from interface: `PermissionRepository`
  Load a permission from the repository.

  Specified by:
    `getPermission` in interface `PermissionRepository`
  Returns:
    a portam permission
  Throws:
    `PortalSecurityException`

### createPermissionContainer

    public PortalPermission createPermissionContainer(PortalPermissionCollection collection)
                                               throws PortalSecurityException

  Specified by:
    `createPermissionContainer` in interface `PermissionFactory`
  Throws:
    `PortalSecurityException`

### createPermission

    public PortalPermission createPermission(java.lang.String uri,
                                             java.lang.String action)
                                      throws PortalSecurityException

  Specified by:
    `createPermission` in interface `PermissionFactory`
  Throws:
    `PortalSecurityException`

### createPermission

    public PortalPermission createPermission(java.lang.String uri,
                                             java.util.Collection actions)
                                      throws PortalSecurityException

  Specified by:
    `createPermission` in interface `PermissionFactory`
  Throws:
    `PortalSecurityException`

### create

    public void create()
                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### start

    public void start()
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### stop

    public void stop()
              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### destroy

    public void destroy()

### getAuthorizationDomainRegistry

    public JBossAuthorizationDomainRegistry getAuthorizationDomainRegistry()

### setAuthorizationDomainRegistry

    public void setAuthorizationDomainRegistry(JBossAuthorizationDomainRegistry authorizationDomainRegistry)

### getPortalAuthorizationManagerFactory

    public PortalAuthorizationManagerFactory getPortalAuthorizationManagerFactory()

### setPortalAuthorizationManagerFactory

    public void setPortalAuthorizationManagerFactory(PortalAuthorizationManagerFactory portalAuthorizationManagerFactory)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD